Bug 111060 - Segmentation Fault on exit()
Segmentation Fault on exit()
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: clumanager (Show other bugs)
2.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lon Hohberger
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-26 16:05 EST by kom@kom
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-09 11:06:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description kom@kom 2003-11-26 16:05:50 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; GIS 
IE6.0 Build 20031007; .NET CLR 1.0.3705)

Description of problem:
I have built a library using cluster apis from libcluster.a.

I am loading my library using dlopen() to get access to that function.
I do my work and dlclose(); upon exit, using exit(0), it is giving 
segmentation fault.

Any one any ideas on this. You comments are appreciated.

Thank you,


Version-Release number of selected component (if applicable):
clumanager-1.0.11-1

How reproducible:
Always

Steps to Reproduce:
1. build your own lib using cluster apis
2. dymically load you lib to get access to your function using dlopen
()
3. and exit() in your program.
    

Actual Results:  segmentation fault

Expected Results:  should exit normally as required.

Additional info:
Comment 1 Mike McLean 2003-11-26 16:40:58 EST
piranha != clumanager
Comment 2 kom@kom 2003-12-01 08:24:38 EST
I am sorry, my selection is wrong. Can you transfer me to correct 
group or can you provide me with some assistance with the issue.

Thnak you,
Comment 3 Lon Hohberger 2003-12-01 09:43:08 EST
Well, for starters, you could try using the following source RPM:

ftp://updates.redhat.com/enterprise/2.1AS/en/os/SRPMS/clumanager-1.0.19-2.src.rpm

You may also want to consider upgrading glibc to the latest errata
version.
Comment 4 Lon Hohberger 2004-02-09 11:06:54 EST
Reopen if still a problem on 1.0.25.  I believe the regex free problem
fixed in 1.0.19-2.

Note You need to log in before you can comment on or make changes to this bug.